<!DOCTYPE html>
<!--[if IE 8]>
<html dir="$TextDirection$" class="lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html dir="$TextDirection$">
<!--<![endif]-->
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <link rel="shortcut icon" href="data:image/x-icon;base64,malformed-to-disable-favicon">
    <title>$SafeNavigateInfoTitle$</title>
    <style>
        !main_styles.css!
        !controls.css!
    </style>
</head>
<body tag="safe-banking-launch-success">
    <table class="wrapper">
        <tr>
            <td>
                <div class="main">
                    <div class="aside">
                        <img src="#banking_stubs.png#" alt="Safe money" />
                    </div>
                    <div class="content">
                        <h1>$SafeNavigateInfoTitle$</h1>
                        <p %SafeNavigateFromEdgeDescriptionVisibility%>$SafeNavigateFromEdgeDescription$</p>
                        <p>$SafeNavigateInfoDescription$</p>
                        <p %ProtectRunningBrowserInfoVisibility%><span>$SafeNavigateBrowserError%ProtectRunningBrowserErrorCodeText%$</span> <a target="_blank" href="%SafeMoneyInEdgeFailedLink%">$FindSolution$</a></p>
                        <div class="footer">
	                        <p><a href="%CancelSafeBrowserExecutionUrl%" onclick="cancelSafeBrowserExecution(); return false;">$CancelSafeBrowserExecution$</a></p>
	                        <p><a href="%ShowSettingsUrl%" onclick="showSettings(); return false;">$SafeBankingShowSettings$</a></p>
                            <p><a href="#" onclick="setRating(this);return false;">$SendFeedback$</a></p>
                        </div>
                    </div>
                </div>
            </td>
        </tr>
        <tr>
            <td height="50">
	            <img class="logo" src="#logo.png#" alt="Kaspersky Lab"/>
                <a href="%GetMoreInfoUrl%" class="info" id="showTutorial">$GetMoreInfoAboutProduct$</a>
    	        <div class="clear"></div>
            </td>
        </tr>
    </table>
<script>
    ?navigate_to_cup_stub.js?

    Array.prototype.indexOf || (Array.prototype.indexOf = function (r, t) { var n; if (null == this) throw new TypeError('"this" is null or not defined'); var e = Object(this), i = e.length >>> 0; if (0 === i) return -1; var a = +t || 0; if (Math.abs(a) === 1 / 0 && (a = 0), a >= i) return -1; for (n = Math.max(a >= 0 ? a : i - Math.abs(a), 0) ; i > n;) { if (n in e && e[n] === r) return n; n++ } return -1 });
    document.getElementsByClassName = function (cl) {
        var retnode = [];
        var elem = this.getElementsByTagName('*');
        for (var i = 0; i < elem.length; i++) {
            if ((' ' + elem[i].className + ' ').indexOf(' ' + cl + ' ') > -1) retnode.push(elem[i]);
        }
        return retnode;
    };

    function callAsyncCup(url) {
        var xhr = new XMLHttpRequest();
        xhr.open("GET", url);
        xhr.send();
    }
    
    function cancelSafeBrowserExecution() {
        navigateFromStub("%CancelSafeBrowserExecutionUrl%");
    }

    function showSettings() {
        callAsyncCup("%ShowSettingsUrl%");
    }

    function setRating(el) {
        var stars = document.getElementsByClassName('stars__star');
        var current = stars.indexOf(el) + 1;
        for (var i = 0; i < stars.length; i++) {
            if (stars[i].className != "stars__star") {
                stars[i].className = "stars__star";
            }
        }
        for (var i = 0; i < current; i++) {
            stars[i].className += " stars__star_checked";
        }

        var xhr = new XMLHttpRequest();
        xhr.open("GET", "%ShowUrlFeedbackDialogUrl%", false);
        xhr.setRequestHeader("X-FeedbackRating", current);
        xhr.send();
    }
</script>
    !tutorial.html!
</body>
</html>
